code_quality:
  image: python
  stage: build
  rules:
    - if: $CI_PIPELINE_SOURCE == "push"
      changes:
      - "**/*.py"
      - "**/pyproject.toml"
    - if: ($CI_PIPELINE_SOURCE == "schedule" || $CI_PIPELINE_SOURCE == "web")
  before_script:
  - pip install --upgrade pip
  - pip install .[test]
  - apt-get install curl
  script:
  - bash ci/code_quality_isort.sh
  - bash ci/code_quality_black.sh
  - bash ci/code_quality_flake8.sh
  - bash ci/code_quality_pylint.sh
